Bug 966893 - thermostat: UTF-8 characters are not displayed properly
thermostat: UTF-8 characters are not displayed properly
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: thermostat (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Omair Majid
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-24 04:39 EDT by Mikolaj Izdebski
Modified: 2014-04-24 12:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-24 12:42:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of GUI with incorrectly displayed UTF-8 characters (20.91 KB, image/png)
2013-05-24 04:39 EDT, Mikolaj Izdebski
no flags Details

  None (edit)
Description Mikolaj Izdebski 2013-05-24 04:39:42 EDT
Created attachment 752500 [details]
Screenshot of GUI with incorrectly displayed UTF-8 characters

Description of problem:
In thermostat GUI UTF-8 fields are not displayed properly.

How reproducible:
Always.

Actual results:
For multibute UTF-8 characters 2 or 3 placeholders character are displayed instead.

Expected results:
UTF-8 characters are displayed properly.

Additional info:
See the screenshot attached.
Comment 1 Omair Majid 2013-05-24 11:48:40 EDT
Could you describe how to reproduce this? What exact commands did you run? Upstream found something similar in the webservice code, but it was fixed [1][2].

[1] http://icedtea.classpath.org/bugzilla/show_bug.cgi?id=1344
[2] http://icedtea.classpath.org//hg/thermostat?cmd=changeset;node=36241f812295
Comment 2 Mikolaj Izdebski 2013-05-27 01:47:08 EDT
I think this is locale dependant issue.  At some point a locale-dependant encoding is used instead of UTF-8.  You could reproduce the issue by setting locale to non-UTF-8 and then running thermostat, for example:

unset LANG
export LANG
export LC_ALL=POSIX
thermostat service &
thermostat gui

If I set locale to UTF-8 (like LC_ALL=en_US.utf8) then Unicode characters are displayed in GUI correctly.
Comment 3 Omair Majid 2013-09-11 16:21:04 EDT
I believe this upstream commit fixes things:
http://icedtea.classpath.org/hg/thermostat/rev/ff7b684c65ef
Comment 4 Omair Majid 2014-04-24 12:42:20 EDT
Rebasing to the fixed upstream version is too significant a change for Fedora 19. Sorry, I wont fix this in Fedora 19.

Note You need to log in before you can comment on or make changes to this bug.